Documentation
¶
Index ¶
- Constants
- type CreateCycle
- type CreateCycleBadRequest
- type CreateCycleConflict
- type CreateCycleCreated
- type CreateCycleHandler
- type CreateCycleHandlerFunc
- type CreateCycleInternalServerError
- func (o *CreateCycleInternalServerError) SetPayload(payload *models.ErrorResponse)
- func (o *CreateCycleInternalServerError) WithPayload(payload *models.ErrorResponse) *CreateCycleInternalServerError
- func (o *CreateCycleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type CreateCycleParams
- type CreateCycleURL
- func (o *CreateCycleURL) Build() (*url.URL, error)
- func (o *CreateCycleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *CreateCycleURL) Must(u *url.URL, err error) *url.URL
- func (o *CreateCycleURL) SetBasePath(bp string)
- func (o *CreateCycleURL) String() string
- func (o *CreateCycleURL) StringFull(scheme, host string) string
- func (o *CreateCycleURL) WithBasePath(bp string) *CreateCycleURL
- type GetCycle
- type GetCycleHandler
- type GetCycleHandlerFunc
- type GetCycleInternalServerError
- type GetCycleNotFound
- type GetCycleOK
- type GetCycleParams
- type GetCycleURL
- func (o *GetCycleURL) Build() (*url.URL, error)
- func (o *GetCycleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetCycleURL) Must(u *url.URL, err error) *url.URL
- func (o *GetCycleURL) SetBasePath(bp string)
- func (o *GetCycleURL) String() string
- func (o *GetCycleURL) StringFull(scheme, host string) string
- func (o *GetCycleURL) WithBasePath(bp string) *GetCycleURL
- type ListCycles
- type ListCyclesHandler
- type ListCyclesHandlerFunc
- type ListCyclesInternalServerError
- func (o *ListCyclesInternalServerError) SetPayload(payload *models.ErrorResponse)
- func (o *ListCyclesInternalServerError) WithPayload(payload *models.ErrorResponse) *ListCyclesInternalServerError
- func (o *ListCyclesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type ListCyclesOK
- type ListCyclesParams
- type ListCyclesURL
- func (o *ListCyclesURL) Build() (*url.URL, error)
- func (o *ListCyclesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *ListCyclesURL) Must(u *url.URL, err error) *url.URL
- func (o *ListCyclesURL) SetBasePath(bp string)
- func (o *ListCyclesURL) String() string
- func (o *ListCyclesURL) StringFull(scheme, host string) string
- func (o *ListCyclesURL) WithBasePath(bp string) *ListCyclesURL
- type UpdateCycle
- type UpdateCycleHandler
- type UpdateCycleHandlerFunc
- type UpdateCycleInternalServerError
- func (o *UpdateCycleInternalServerError) SetPayload(payload *models.ErrorResponse)
- func (o *UpdateCycleInternalServerError) WithPayload(payload *models.ErrorResponse) *UpdateCycleInternalServerError
- func (o *UpdateCycleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdateCycleNotFound
- type UpdateCycleOK
- type UpdateCycleParams
- type UpdateCycleURL
- func (o *UpdateCycleURL) Build() (*url.URL, error)
- func (o *UpdateCycleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *UpdateCycleURL) Must(u *url.URL, err error) *url.URL
- func (o *UpdateCycleURL) SetBasePath(bp string)
- func (o *UpdateCycleURL) String() string
- func (o *UpdateCycleURL) StringFull(scheme, host string) string
- func (o *UpdateCycleURL) WithBasePath(bp string) *UpdateCycleURL
Constants ¶
const CreateCycleBadRequestCode int = 400
CreateCycleBadRequestCode is the HTTP code returned for type CreateCycleBadRequest
const CreateCycleConflictCode int = 409
CreateCycleConflictCode is the HTTP code returned for type CreateCycleConflict
const CreateCycleCreatedCode int = 201
CreateCycleCreatedCode is the HTTP code returned for type CreateCycleCreated
const CreateCycleInternalServerErrorCode int = 500
CreateCycleInternalServerErrorCode is the HTTP code returned for type CreateCycleInternalServerError
const GetCycleInternalServerErrorCode int = 500
GetCycleInternalServerErrorCode is the HTTP code returned for type GetCycleInternalServerError
const GetCycleNotFoundCode int = 404
GetCycleNotFoundCode is the HTTP code returned for type GetCycleNotFound
const GetCycleOKCode int = 200
GetCycleOKCode is the HTTP code returned for type GetCycleOK
const ListCyclesInternalServerErrorCode int = 500
ListCyclesInternalServerErrorCode is the HTTP code returned for type ListCyclesInternalServerError
const ListCyclesOKCode int = 200
ListCyclesOKCode is the HTTP code returned for type ListCyclesOK
const UpdateCycleInternalServerErrorCode int = 500
UpdateCycleInternalServerErrorCode is the HTTP code returned for type UpdateCycleInternalServerError
const UpdateCycleNotFoundCode int = 404
UpdateCycleNotFoundCode is the HTTP code returned for type UpdateCycleNotFound
const UpdateCycleOKCode int = 200
UpdateCycleOKCode is the HTTP code returned for type UpdateCycleOK
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type CreateCycle ¶
type CreateCycle struct {
Context *middleware.Context
Handler CreateCycleHandler
}
CreateCycle swagger:route POST /cycle cycleManagement createCycle
Create a plan ¶
Creates a new cycle
func NewCreateCycle ¶
func NewCreateCycle(ctx *middleware.Context, handler CreateCycleHandler) *CreateCycle
NewCreateCycle creates a new http.Handler for the create cycle operation
func (*CreateCycle) ServeHTTP ¶
func (o *CreateCycle) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type CreateCycleBadRequest ¶
type CreateCycleBadRequest struct {
}
CreateCycleBadRequest invalid input, object invalid
swagger:response createCycleBadRequest
func NewCreateCycleBadRequest ¶
func NewCreateCycleBadRequest() *CreateCycleBadRequest
NewCreateCycleBadRequest creates CreateCycleBadRequest with default headers values
func (*CreateCycleBadRequest) WriteResponse ¶
func (o *CreateCycleBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type CreateCycleConflict ¶
type CreateCycleConflict struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
CreateCycleConflict an existing item already exists
swagger:response createCycleConflict
func NewCreateCycleConflict ¶
func NewCreateCycleConflict() *CreateCycleConflict
NewCreateCycleConflict creates CreateCycleConflict with default headers values
func (*CreateCycleConflict) SetPayload ¶
func (o *CreateCycleConflict) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the create cycle conflict response
func (*CreateCycleConflict) WithPayload ¶
func (o *CreateCycleConflict) WithPayload(payload *models.ErrorResponse) *CreateCycleConflict
WithPayload adds the payload to the create cycle conflict response
func (*CreateCycleConflict) WriteResponse ¶
func (o *CreateCycleConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type CreateCycleCreated ¶
type CreateCycleCreated struct {
/*
In: Body
*/
Payload *models.ItemCreatedResponse `json:"body,omitempty"`
}
CreateCycleCreated item created
swagger:response createCycleCreated
func NewCreateCycleCreated ¶
func NewCreateCycleCreated() *CreateCycleCreated
NewCreateCycleCreated creates CreateCycleCreated with default headers values
func (*CreateCycleCreated) SetPayload ¶
func (o *CreateCycleCreated) SetPayload(payload *models.ItemCreatedResponse)
SetPayload sets the payload to the create cycle created response
func (*CreateCycleCreated) WithPayload ¶
func (o *CreateCycleCreated) WithPayload(payload *models.ItemCreatedResponse) *CreateCycleCreated
WithPayload adds the payload to the create cycle created response
func (*CreateCycleCreated) WriteResponse ¶
func (o *CreateCycleCreated) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type CreateCycleHandler ¶
type CreateCycleHandler interface {
Handle(CreateCycleParams, interface{}) middleware.Responder
}
CreateCycleHandler interface for that can handle valid create cycle params
type CreateCycleHandlerFunc ¶
type CreateCycleHandlerFunc func(CreateCycleParams, interface{}) middleware.Responder
CreateCycleHandlerFunc turns a function with the right signature into a create cycle handler
func (CreateCycleHandlerFunc) Handle ¶
func (fn CreateCycleHandlerFunc) Handle(params CreateCycleParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type CreateCycleInternalServerError ¶
type CreateCycleInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
CreateCycleInternalServerError unexpected error
swagger:response createCycleInternalServerError
func NewCreateCycleInternalServerError ¶
func NewCreateCycleInternalServerError() *CreateCycleInternalServerError
NewCreateCycleInternalServerError creates CreateCycleInternalServerError with default headers values
func (*CreateCycleInternalServerError) SetPayload ¶
func (o *CreateCycleInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the create cycle internal server error response
func (*CreateCycleInternalServerError) WithPayload ¶
func (o *CreateCycleInternalServerError) WithPayload(payload *models.ErrorResponse) *CreateCycleInternalServerError
WithPayload adds the payload to the create cycle internal server error response
func (*CreateCycleInternalServerError) WriteResponse ¶
func (o *CreateCycleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type CreateCycleParams ¶
type CreateCycleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Cycle to be added
In: body
*/
Cycle *models.Cycle
}
CreateCycleParams contains all the bound params for the create cycle operation typically these are obtained from a http.Request
swagger:parameters createCycle
func NewCreateCycleParams ¶
func NewCreateCycleParams() CreateCycleParams
NewCreateCycleParams creates a new CreateCycleParams object no default values defined in spec.
func (*CreateCycleParams) BindRequest ¶
func (o *CreateCycleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewCreateCycleParams() beforehand.
type CreateCycleURL ¶
type CreateCycleURL struct {
// contains filtered or unexported fields
}
CreateCycleURL generates an URL for the create cycle operation
func (*CreateCycleURL) Build ¶
func (o *CreateCycleURL) Build() (*url.URL, error)
Build a url path and query string
func (*CreateCycleURL) BuildFull ¶
func (o *CreateCycleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*CreateCycleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*CreateCycleURL) SetBasePath ¶
func (o *CreateCycleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*CreateCycleURL) String ¶
func (o *CreateCycleURL) String() string
String returns the string representation of the path with query string
func (*CreateCycleURL) StringFull ¶
func (o *CreateCycleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*CreateCycleURL) WithBasePath ¶
func (o *CreateCycleURL) WithBasePath(bp string) *CreateCycleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetCycle ¶
type GetCycle struct {
Context *middleware.Context
Handler GetCycleHandler
}
GetCycle swagger:route GET /cycle/{id} cycleManagement getCycle
Get specific cycle ¶
get cycle with given id
func NewGetCycle ¶
func NewGetCycle(ctx *middleware.Context, handler GetCycleHandler) *GetCycle
NewGetCycle creates a new http.Handler for the get cycle operation
type GetCycleHandler ¶
type GetCycleHandler interface {
Handle(GetCycleParams, interface{}) middleware.Responder
}
GetCycleHandler interface for that can handle valid get cycle params
type GetCycleHandlerFunc ¶
type GetCycleHandlerFunc func(GetCycleParams, interface{}) middleware.Responder
GetCycleHandlerFunc turns a function with the right signature into a get cycle handler
func (GetCycleHandlerFunc) Handle ¶
func (fn GetCycleHandlerFunc) Handle(params GetCycleParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type GetCycleInternalServerError ¶
type GetCycleInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
GetCycleInternalServerError unexpected error
swagger:response getCycleInternalServerError
func NewGetCycleInternalServerError ¶
func NewGetCycleInternalServerError() *GetCycleInternalServerError
NewGetCycleInternalServerError creates GetCycleInternalServerError with default headers values
func (*GetCycleInternalServerError) SetPayload ¶
func (o *GetCycleInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the get cycle internal server error response
func (*GetCycleInternalServerError) WithPayload ¶
func (o *GetCycleInternalServerError) WithPayload(payload *models.ErrorResponse) *GetCycleInternalServerError
WithPayload adds the payload to the get cycle internal server error response
func (*GetCycleInternalServerError) WriteResponse ¶
func (o *GetCycleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetCycleNotFound ¶
type GetCycleNotFound struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
GetCycleNotFound cycle with id not found
swagger:response getCycleNotFound
func NewGetCycleNotFound ¶
func NewGetCycleNotFound() *GetCycleNotFound
NewGetCycleNotFound creates GetCycleNotFound with default headers values
func (*GetCycleNotFound) SetPayload ¶
func (o *GetCycleNotFound) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the get cycle not found response
func (*GetCycleNotFound) WithPayload ¶
func (o *GetCycleNotFound) WithPayload(payload *models.ErrorResponse) *GetCycleNotFound
WithPayload adds the payload to the get cycle not found response
func (*GetCycleNotFound) WriteResponse ¶
func (o *GetCycleNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetCycleOK ¶
GetCycleOK cycle returned
swagger:response getCycleOK
func NewGetCycleOK ¶
func NewGetCycleOK() *GetCycleOK
NewGetCycleOK creates GetCycleOK with default headers values
func (*GetCycleOK) SetPayload ¶
func (o *GetCycleOK) SetPayload(payload *models.Cycle)
SetPayload sets the payload to the get cycle o k response
func (*GetCycleOK) WithPayload ¶
func (o *GetCycleOK) WithPayload(payload *models.Cycle) *GetCycleOK
WithPayload adds the payload to the get cycle o k response
func (*GetCycleOK) WriteResponse ¶
func (o *GetCycleOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetCycleParams ¶
type GetCycleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Id of cycle to be obtained
Required: true
In: path
*/
ID string
}
GetCycleParams contains all the bound params for the get cycle operation typically these are obtained from a http.Request
swagger:parameters getCycle
func NewGetCycleParams ¶
func NewGetCycleParams() GetCycleParams
NewGetCycleParams creates a new GetCycleParams object no default values defined in spec.
func (*GetCycleParams) BindRequest ¶
func (o *GetCycleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetCycleParams() beforehand.
type GetCycleURL ¶
type GetCycleURL struct {
ID string
// contains filtered or unexported fields
}
GetCycleURL generates an URL for the get cycle operation
func (*GetCycleURL) Build ¶
func (o *GetCycleURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetCycleURL) BuildFull ¶
func (o *GetCycleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetCycleURL) SetBasePath ¶
func (o *GetCycleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetCycleURL) String ¶
func (o *GetCycleURL) String() string
String returns the string representation of the path with query string
func (*GetCycleURL) StringFull ¶
func (o *GetCycleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetCycleURL) WithBasePath ¶
func (o *GetCycleURL) WithBasePath(bp string) *GetCycleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type ListCycles ¶
type ListCycles struct {
Context *middleware.Context
Handler ListCyclesHandler
}
ListCycles swagger:route GET /cycle cycleManagement listCycles
List all cycles ¶
lists all cycles
func NewListCycles ¶
func NewListCycles(ctx *middleware.Context, handler ListCyclesHandler) *ListCycles
NewListCycles creates a new http.Handler for the list cycles operation
func (*ListCycles) ServeHTTP ¶
func (o *ListCycles) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type ListCyclesHandler ¶
type ListCyclesHandler interface {
Handle(ListCyclesParams, interface{}) middleware.Responder
}
ListCyclesHandler interface for that can handle valid list cycles params
type ListCyclesHandlerFunc ¶
type ListCyclesHandlerFunc func(ListCyclesParams, interface{}) middleware.Responder
ListCyclesHandlerFunc turns a function with the right signature into a list cycles handler
func (ListCyclesHandlerFunc) Handle ¶
func (fn ListCyclesHandlerFunc) Handle(params ListCyclesParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type ListCyclesInternalServerError ¶
type ListCyclesInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
ListCyclesInternalServerError unexpected error
swagger:response listCyclesInternalServerError
func NewListCyclesInternalServerError ¶
func NewListCyclesInternalServerError() *ListCyclesInternalServerError
NewListCyclesInternalServerError creates ListCyclesInternalServerError with default headers values
func (*ListCyclesInternalServerError) SetPayload ¶
func (o *ListCyclesInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the list cycles internal server error response
func (*ListCyclesInternalServerError) WithPayload ¶
func (o *ListCyclesInternalServerError) WithPayload(payload *models.ErrorResponse) *ListCyclesInternalServerError
WithPayload adds the payload to the list cycles internal server error response
func (*ListCyclesInternalServerError) WriteResponse ¶
func (o *ListCyclesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListCyclesOK ¶
ListCyclesOK list of cycles returned
swagger:response listCyclesOK
func NewListCyclesOK ¶
func NewListCyclesOK() *ListCyclesOK
NewListCyclesOK creates ListCyclesOK with default headers values
func (*ListCyclesOK) SetPayload ¶
func (o *ListCyclesOK) SetPayload(payload []*models.Cycle)
SetPayload sets the payload to the list cycles o k response
func (*ListCyclesOK) WithPayload ¶
func (o *ListCyclesOK) WithPayload(payload []*models.Cycle) *ListCyclesOK
WithPayload adds the payload to the list cycles o k response
func (*ListCyclesOK) WriteResponse ¶
func (o *ListCyclesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type ListCyclesParams ¶
type ListCyclesParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*state to filter
In: query
*/
State *string
/*resource type to filter
In: query
*/
Type *string
}
ListCyclesParams contains all the bound params for the list cycles operation typically these are obtained from a http.Request
swagger:parameters listCycles
func NewListCyclesParams ¶
func NewListCyclesParams() ListCyclesParams
NewListCyclesParams creates a new ListCyclesParams object no default values defined in spec.
func (*ListCyclesParams) BindRequest ¶
func (o *ListCyclesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewListCyclesParams() beforehand.
type ListCyclesURL ¶
ListCyclesURL generates an URL for the list cycles operation
func (*ListCyclesURL) Build ¶
func (o *ListCyclesURL) Build() (*url.URL, error)
Build a url path and query string
func (*ListCyclesURL) BuildFull ¶
func (o *ListCyclesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*ListCyclesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*ListCyclesURL) SetBasePath ¶
func (o *ListCyclesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*ListCyclesURL) String ¶
func (o *ListCyclesURL) String() string
String returns the string representation of the path with query string
func (*ListCyclesURL) StringFull ¶
func (o *ListCyclesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*ListCyclesURL) WithBasePath ¶
func (o *ListCyclesURL) WithBasePath(bp string) *ListCyclesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type UpdateCycle ¶
type UpdateCycle struct {
Context *middleware.Context
Handler UpdateCycleHandler
}
UpdateCycle swagger:route PUT /cycle/{id} cycleManagement updateCycle
Update specific cycle ¶
Update cycle with given id
func NewUpdateCycle ¶
func NewUpdateCycle(ctx *middleware.Context, handler UpdateCycleHandler) *UpdateCycle
NewUpdateCycle creates a new http.Handler for the update cycle operation
func (*UpdateCycle) ServeHTTP ¶
func (o *UpdateCycle) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type UpdateCycleHandler ¶
type UpdateCycleHandler interface {
Handle(UpdateCycleParams, interface{}) middleware.Responder
}
UpdateCycleHandler interface for that can handle valid update cycle params
type UpdateCycleHandlerFunc ¶
type UpdateCycleHandlerFunc func(UpdateCycleParams, interface{}) middleware.Responder
UpdateCycleHandlerFunc turns a function with the right signature into a update cycle handler
func (UpdateCycleHandlerFunc) Handle ¶
func (fn UpdateCycleHandlerFunc) Handle(params UpdateCycleParams, principal interface{}) middleware.Responder
Handle executing the request and returning a response
type UpdateCycleInternalServerError ¶
type UpdateCycleInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
UpdateCycleInternalServerError unexpected error
swagger:response updateCycleInternalServerError
func NewUpdateCycleInternalServerError ¶
func NewUpdateCycleInternalServerError() *UpdateCycleInternalServerError
NewUpdateCycleInternalServerError creates UpdateCycleInternalServerError with default headers values
func (*UpdateCycleInternalServerError) SetPayload ¶
func (o *UpdateCycleInternalServerError) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the update cycle internal server error response
func (*UpdateCycleInternalServerError) WithPayload ¶
func (o *UpdateCycleInternalServerError) WithPayload(payload *models.ErrorResponse) *UpdateCycleInternalServerError
WithPayload adds the payload to the update cycle internal server error response
func (*UpdateCycleInternalServerError) WriteResponse ¶
func (o *UpdateCycleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateCycleNotFound ¶
type UpdateCycleNotFound struct {
/*
In: Body
*/
Payload *models.ErrorResponse `json:"body,omitempty"`
}
UpdateCycleNotFound cycle with id not found
swagger:response updateCycleNotFound
func NewUpdateCycleNotFound ¶
func NewUpdateCycleNotFound() *UpdateCycleNotFound
NewUpdateCycleNotFound creates UpdateCycleNotFound with default headers values
func (*UpdateCycleNotFound) SetPayload ¶
func (o *UpdateCycleNotFound) SetPayload(payload *models.ErrorResponse)
SetPayload sets the payload to the update cycle not found response
func (*UpdateCycleNotFound) WithPayload ¶
func (o *UpdateCycleNotFound) WithPayload(payload *models.ErrorResponse) *UpdateCycleNotFound
WithPayload adds the payload to the update cycle not found response
func (*UpdateCycleNotFound) WriteResponse ¶
func (o *UpdateCycleNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateCycleOK ¶
UpdateCycleOK updated cycle
swagger:response updateCycleOK
func NewUpdateCycleOK ¶
func NewUpdateCycleOK() *UpdateCycleOK
NewUpdateCycleOK creates UpdateCycleOK with default headers values
func (*UpdateCycleOK) SetPayload ¶
func (o *UpdateCycleOK) SetPayload(payload *models.Cycle)
SetPayload sets the payload to the update cycle o k response
func (*UpdateCycleOK) WithPayload ¶
func (o *UpdateCycleOK) WithPayload(payload *models.Cycle) *UpdateCycleOK
WithPayload adds the payload to the update cycle o k response
func (*UpdateCycleOK) WriteResponse ¶
func (o *UpdateCycleOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateCycleParams ¶
type UpdateCycleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*updated cycle containing all parameters except id
Required: true
In: body
*/
Cycle *models.Cycle
/*Id of cycle to be updated
Required: true
In: path
*/
ID string
}
UpdateCycleParams contains all the bound params for the update cycle operation typically these are obtained from a http.Request
swagger:parameters updateCycle
func NewUpdateCycleParams ¶
func NewUpdateCycleParams() UpdateCycleParams
NewUpdateCycleParams creates a new UpdateCycleParams object no default values defined in spec.
func (*UpdateCycleParams) BindRequest ¶
func (o *UpdateCycleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewUpdateCycleParams() beforehand.
type UpdateCycleURL ¶
type UpdateCycleURL struct {
ID string
// contains filtered or unexported fields
}
UpdateCycleURL generates an URL for the update cycle operation
func (*UpdateCycleURL) Build ¶
func (o *UpdateCycleURL) Build() (*url.URL, error)
Build a url path and query string
func (*UpdateCycleURL) BuildFull ¶
func (o *UpdateCycleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*UpdateCycleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*UpdateCycleURL) SetBasePath ¶
func (o *UpdateCycleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*UpdateCycleURL) String ¶
func (o *UpdateCycleURL) String() string
String returns the string representation of the path with query string
func (*UpdateCycleURL) StringFull ¶
func (o *UpdateCycleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*UpdateCycleURL) WithBasePath ¶
func (o *UpdateCycleURL) WithBasePath(bp string) *UpdateCycleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
Source Files
¶
- create_cycle.go
- create_cycle_parameters.go
- create_cycle_responses.go
- create_cycle_urlbuilder.go
- get_cycle.go
- get_cycle_parameters.go
- get_cycle_responses.go
- get_cycle_urlbuilder.go
- list_cycles.go
- list_cycles_parameters.go
- list_cycles_responses.go
- list_cycles_urlbuilder.go
- update_cycle.go
- update_cycle_parameters.go
- update_cycle_responses.go
- update_cycle_urlbuilder.go